'''
实验名称：模板匹配(单目标)
实验平台：核桃派1B
'''

import cv2
import numpy as np

img = cv2.imread('number.jpg') #读取原始图像
temp = cv2.imread('2.jpg') #读取模板图像

h, w, c = temp.shape #获取模板图像信息，高、宽、通道数

#使用标准平方差方式匹配，结果越小，匹配度越大
result = cv2.matchTemplate(img, temp, cv2.TM_SQDIFF_NORMED)

print(result) #打印结果

#单目标匹配计算,最小值minValue为匹配结果，minLoc为匹配结果左上角坐标
minValue, maxValue, minLoc, maxLoc = cv2.minMaxLoc(result)

#画矩形用于展示
p1 = minLoc #矩形左上角坐标
p2 = (p1[0] + w, p1[1] + h) #矩形右下角坐标
cv2.rectangle(img, p1, p2, (0, 0, 255),2)

cv2.imshow('result', img) #显示图像

cv2.waitKey() #等待键盘任意按键按下
cv2.destroyAllWindows() #关闭窗口
